class_name ChoiceButton

extends Button

@export var label : RichTextLabel

var _id := -1
var _promptID := -1
var _sadnessVal := 0
var _joyVal := 0

signal selected(button:ChoiceButton)

func _ready():
	pressed.connect(_on_pressed)

func _on_pressed():
	selected.emit(self)

func set_id(id:int) -> void:
	_id = id

func set_prompt_id(id:int) -> void:
	_promptID = id

func set_label_text(newText:String) -> void:
	label.text = newText

func set_sadness_val(val:int) -> void:
	_sadnessVal = val

func set_joy_val(val:int) -> void:
	_joyVal = val

func get_id() -> int:
	return _id

func get_joy_val() -> int:
	return _joyVal

func get_sadness_val() -> int:
	return _sadnessVal

func get_prompt_id() -> int:
	return _promptID
